<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2007 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
echo "To run this script, edit it and comment out the 'exit' (and this message) at the beginning";
exit;
include "../common.inc.php";

mysql_query("DELETE FROM tours_choice WHERE year='2008'");

$q=mysql_query("SELECT students.id AS students_id, 
			registrations.id AS registrations_id 
		FROM registrations, 
			students 
		WHERE ( registrations.status='complete' 
			OR registrations.status='paymentpending' )
			AND registrations.year='2008' 
			AND students.registrations_id=registrations.id 
			AND students.year='2008'");
	while($r=mysql_fetch_object($q))
	{
		$tq=mysql_query("SELECT tours.id, RAND() AS r FROM tours WHERE year='2008' ORDER BY r");
		$rank=1;
		while($tr=mysql_fetch_object($tq)) {
			mysql_query("INSERT INTO tours_choice (students_id,registrations_id,tour_id,year,rank) VALUES (
				'$r->students_id','$r->registrations_id','$tr->id','2008','$rank'
			)");
			$rank++;
		}
		echo "Assigned student $r->students_id\n";
		$assigned++;
	}
	echo "assigned=$assigned";
?>
